> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/8.-mutacion-generar-mapa-raster.md).

# 8. Mutación: generar "Mapa ráster"

Generar "RasterMap" para el "Field".

{% hint style="info" %}
El tiempo de ejecución es diferente (desde 4 seg hasta 5 min), depende del número de imágenes y del área del campo a procesar, y la Suscripción se recibirá después de la generación exitosa del "RasterMap".
{% endhint %}

{% hint style="danger" %}
Recomendamos utilizar el **enfoque** asíncrono para generar RastetMap
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutación GenerateRasterMap {
  generateRasterAnalysisMap(entrada: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",  
      "<marcador_de_posicion_de_uuid_imagen_satelital_2>"
    ]
    index: NDVI
  }) {    
    uuid
    fieldUuid
    name
    centroid {
      latitude
      longitude
    }
    cajaDelimitadora
    geoMaps {
      shortName
      fullName
      url
      classes
      hexColorCodes
    }
    status
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/8.-mutacion-generar-mapa-raster.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
